/* Definice výchozích (denních) barev */
:root {

    /* Šedá škála */
    --color-white: #ffffff; /* Čistá bílá */
    --color-almost-white: #fefefe; /* Skoro bílá */
    --color-off-white: #f7f7f7; /* Smetanová */
    --color-light-gray: #f8f9fa; /* Velmi světlá šedá */
    --color-lighter-gray: #dae0e5; /* Světlejší šedá */
    --color-very-light-gray: #e2e6ea; /* Ještě světlejší šedá */
    --color-gray: #6c757d; /* Standardní šedá */
    --color-dark-gray: #212529; /* Tmavá šedá */
    --color-black: #000000; /* Černá */


    --color-light-gray-border: #dfdfdf; /* Světlá šedá okraje */

    /* Barevné proměnné pro odkazy */
    --aColor: var(--color-dark-gray);
    --aColorHover: lightgray;

    --logo-filter: none;
    --faGlobe-color: var(--color-dark-gray);

    /* Proměnné pro navigaci a prvky uživatelského rozhraní */
    --background-color: var(--color-white);
    --color: var(--color-dark-gray);
    --background-color-navbar: var(--color-light-gray);
    --background-color-sidebar: var(--color-white);
    --bgNavbar-bgcolor: var(--color-light-gray);
    --bgNavbarBrand-color: #0D6BA4; 
    --navbarLighNav: rgba(0,0,0,.5);
    --navbarBrandText: #000000;
        
    --breadcrumb-bgcolor: var(--color-white);
    --breadcrumbActive-color: var(--color-gray);

    /* Proměnné pro tlačítka */
    --btnNavbar-color: #495057;
    --btnLight-color: #16181b;
    --btnLight-background-color: var(--color-light-gray);
    --btnLight-border-color: var(--color-light-gray);
    --btnLightSelected-color: var(--color-dark-gray);
    --btnLightSelected-background-color: var(--color-lighter-gray);
    --btnLightSelected-border-color: var(--color-lighter-gray);
    --btnLight-hover-color: var(--color-dark-gray);
    --btnLight-hover-bgcolor: var(--color-very-light-gray);
    --btnLight-hover-bordercolor: var(--color-lighter-gray);

    --dashboardText-color: --color-dark-gray);    
    --dashboardNum-color: darkgrey;    
    --dashboardCardTitle-color: var(--color-almost-white);

    --dropdownMenu-color: var(--color-dark-gray);
    --dropdownMenuDisabled-color: var(--color-gray);
    --dropdownMenu-bgcolor: var(--color-white);
    --dropdownMenuActive-color: var(--color-dark-gray);
    --dropdownMenuActive-background-color: var(--color-lighter-gray);

    --card-bgcolor: var(--color-off-white);
    --card-border-color: var(--color-light-gray-border);
    --cardHeaderInfo: #d9edf7;
    --cardHeaderWarning:  #ffd148;
    --cardHeaderAdmin: #e8e8e8;
    --cardFooterBackground: var(--color-off-white);

    --formControl-color: #495057;
    --formControl-bgcolor: var(--color-white);

    --title-color: #000000; //#23527c;
    --calHeatmap-border: #cacaca;

    --datagridTable-background-color: #f9f9f9;

    --inputGroupText-background-color: #e9ecef;

    /* Heatmap */
    --color-light-blue: #E6F7FF; /* Darker shade of light blue */
    --color-medium-blue: #B3E0FF; /* Darker shade of medium blue */
    --color-darker-blue: #80CCFF; /* Even darker shade for blue */
    --color-deep-blue: #4DA6FF; /* Deep dark blue */
    --color-night-blue: #1A75FF; /* Very dark blue for highest intensity */
    --heatmap-border-color: #fff; /* Darker border color for better visibility in dark mode */
    --heatmap-border-left-color: #aaa; /* Slightly lighter than border color for visibility */
    --heatmap-border-top-color: #CACACA; /* Visible contrast for top borders */
    --heatmap-cell-bg: #eee; /* Very dark background for cells */

    /* Proměnné pro panel */
    --panelElementValuer: #000;

    /* Datagrid */
    --datagridBorder: #dee2e6;
    --textMuted: darkgray;
    --trOdd: rgba(0,0,0,.05);

    /* Modal */
    --close-color: black;

}

/* Definice barev pro noční režim */
[data-theme="dark"] {

    --aColor: lightgray;
    --aColorHover: white;

    /*--logo-filter: invert(100%);*/
    --logo-filter: none;
    --faGlobe-color: lightgray;

    --background-color: #444;
    --color: lightgray;
    --background-color-navbar: #343a40;
    --background-color-sidebar: #000000;

    --bgNavbar-bgcolor: #343a40; 
    --bgNavbarBrand-color: #81C0DF;
    --navbarLighNav: rgba(255,255,255,.5);
    --navbarBrandText: #ffffff;

    --breadcrumb-bgcolor: black;
    --breadcrumbActive-color: #ffffff; #d1d1d1;

    --btnInfoColor: lightgray;
    --btnNavbar-color: lightgray;
    --btnLight-color: lightgray;
    --btnLight-background-color: #343a40;
    --btnLight-border-color: #343a40;
    --btnLightSelected-color: lightgray;
    --btnLightSelected-background-color: #505050;
    --btnLightSelected-border-color: #606060;
    --btnLight-hover-color: #ffffff; /* Barva textu pro hover */
    --btnLight-hover-bgcolor: #495057; /* Barva pozadí pro hover */
    --btnLight-hover-bordercolor: #6c757d; /* Barva okraje pro hover */

    --title-color: #FFFFFF; //#81C0DF;
    --calHeatmap-border: #dee2e6;

    --dashboardText-color: lightgray;    
    --dashboardNum-color: lightgray; //#5DBCD2;
    --dashboardCardTitle-color: #cccccc;

    --dropdownMenu-color: lightgray;
    --dropdownMenuDisabled-color: lightgray;
    --dropdownMenu-bgcolor: #343a40;
    --dropdownMenuActive-color:  lightgray;
    --dropdownMenuActive-background-color: #495057;

    --card-bgcolor: #666; //#4a4a4a;
    --card-border-color: darkgray;
    --cardHeaderInfo: #31708f;
    --cardHeaderWarning:  #ff8c00;
    --cardHeaderAdmin: #606060;
    --cardFooterBackground: #4a4a4a;

    --formControl-color: #BFC9D2;
    --formControl-bgcolor: #444;

    --inputGroupText-background-color: #343a40;

    /* Heatmap */
    --color-light-blue: #7093c1; /* Lightened from #5c85c1 */
    --color-medium-blue: #3b7fb1; /* Lightened from #336699 */
    --color-darker-blue: #3a5a80; /* Lightened from #204060 */
    --color-deep-blue: #336080; /* Lightened from #1a334d */
    --color-night-blue: #2a4053; /* Lightened from #0d1a26 */
    --heatmap-border-color: #444; /* Darker border color for better visibility in dark mode */
    --heatmap-border-left-color: #777; /* Slightly lighter than border color for visibility */
    --heatmap-border-top-color: #999; /* Visible contrast for top borders */
    --heatmap-cell-bg: #555; /* Very dark background for cells */

    /* Panel */
    --panelElementValuer: #fff;

    /* Datagrid */
    --datagridBorder: darkgray;
    --textMuted: lightgray;
    --trOdd: rgba(255,255,255,.05);

    /* Modal */
    --close-color: white;
}

/* Základní stylizace těla dokumentu */
body {
    background-color: var(--background-color) !important; 
    color: var(--color);
}


/* Specifické prvky uživatelského rozhraní */
.logo {
    margin:0px;
    padding:0px;  
    filter: var(--logo-filter);
}

/*ul ul {  Tohle selektuje všechny <ul> tagy, které jsou vnořené uvnitř jiných <ul> tagů 
    margin-left: 10px;  Nastaví odsazení na levé straně 
    padding-left: 0;
}*/

/*.element {
    position: relative;  Nastaví element tak, aby mohl obsahovat absolutně pozicované pseudo-elementy 
    height: 100%;  Nastaví výšku elementu 
}

.element:before {
    content: "\22A2";
    position: absolute;  Absolutní pozicování vzhledem k relativně pozicovanému rodiči 
    top: 0;  Umístí symbol na vrch rodiče 
    bottom: 0;  Umístí symbol na spodek rodiče 
    left: 0;  Umístí symbol na levou stranu rodiče 
    font-size: inherit;  Převezme velikost písma z rodičovského elementu 
    color: white;  Nastaví barvu symbolu na bílou 
    line-height: normal;  Může být potřeba nastavit na 'normal' nebo konkrétní hodnotu pro zajištění výšky 
}*/


.breadcrumb-item+.breadcrumb-item::before {
    color: var(--breadcrumbActive-color); 
}

.nav-link.fa-globe, .nav-link.fa-user{
    color: var(--faGlobe-color);
}

.btn-info.fa-globe, .btn-info.fa-user{
    color: var(--faGlobe-color);
}

.m0p0 {
    margin: 0px;
    padding: 0px;
}



.pr15 {
    padding-right: 20px;
}

.bg {
    height: 100%;
}

.breadcrumb {
    background-color: var(--breadcrumb-bckcolor) !important;
}

.form-control {
    color: var(--formControl-color) !important; 
    background-color: var(--formControl-bgcolor) !important; 
}

.breadcrumb-item.active {
    color: var(--breadcrumbActive-color);
}

/* Navigace a lišty */
.bg-navbar {
    background-color: var(--bgNavbar-bgcolor);
}

.navbar-light .navbar-brand {
    color: var(--bgNavbarBrand-color);
}

.nav-item {
    background-color: var(--bgNavbar-bgcolor);
}

.navbar-light .navbar-nav .nav-link  {
    color: var(--navbarLighNav); 
}

.navbar-light .navbar-nav .active>.nav-link, .navbar-light .navbar-nav .nav-link.active, .navbar-light .navbar-nav .nav-link.show, .navbar-light .navbar-nav .show>.nav-link {
    color: var(--navbarLighNav); 
}

/* Rozbalovací menu */
.dropdown-menu {
    color: var(--dropdownMenu-color);  
    background-color: var(--dropdownMenu-bgcolor); 
}

.dropdown-item {
    color: var(--dropdownMenu-color); 
}

.dropdown-item.disabled {
    color: var(--dropdownMenuDisabled-color); 
}

/* Tlačítka a jejich stavy */
.btn-light{
    color: var(--btnLight-color); 
    background-color: var(--btnLight-background-color); 
    border-color: var(--btnLight-border-color); 
}

.btn-light:not(:disabled):not(.disabled).active, .show>.btn-light.dropdown-toggle {
    color: var(--btnLight-hover-color);
    background-color: var(--btnLightSelected-background-color);
    border-color: var(--btnLightSelected-border-color);
}

/*.dropdown-item:focus, .dropdown-item:hover {
    color: #16181b;
    text-decoration: none;
    background-color: #f8f9fa;
}*/

.btn-light:hover, .dropdown-item:focus, .dropdown-item:hover {
    color: var(--btnLight-hover-color);
    background-color: var(--btnLight-hover-bgcolor);
    border-color: var(--btnLight-hover-bordercolor);
}

.btn-info {
    color: var(--btnInfoColor);
}

.input-group-text {
    background-color: var(inputGroupText-background-color);
}

button, select {
    background-color: var(--formControl-bgcolor);
    color: var(--formControl-color);
}


/* Datagrid */
.table-bordered td, .table-bordered th {
    border: 1px solid var(--datagridBorder);
}

.table thead th {
    border-bottom: 2px solid var(--datagridBorder); 
}

.datagrid .row-grid-bottom {
    border: 1px solid var(--datagridBorder) !important;
}

.text-muted {
    color: var(--textMuted) !important;
}

.table-striped tbody tr:nth-of-type(odd) {
    background-color: var(--trOdd);
}

.datagrid table thead tr.row-group-actions th {
    /*border-bottom-width: 0 !important;*/
    background-color: transparent !important;
}

.datagrid .row-grid-bottom {
    background-color: transparent !important;
}

.datagrid table th.col-checkbox {
    background-color: transparent !important;
}

/* Modal */
.close {
    color: var(--close-color) !important;
    text-shadow: none;
    opacity: 0.9;
}

.modal-light {
    background-color: white;
}

.modal-dark {
    background-color: #444;
}





.float-right {
    float:right;
}
.indigo-orange {
    color: #ff6600;
}
.indigo-darkblue {
    color: #343399;
}
.indigo-lightblue {
    color: #7171e9;
}
.navbar-brand-text {
    color: var(--title-color);
    font-weight: lighter;
    font-size: 1em;
}
.title {
    color: var(--title-color);
    font-weight: lighter;
    margin: 0px;
    margin-bottom: 10px;
    text-transform: uppercase;
    font-size: 1.5em;
    white-space: nowrap;
}
.title i {
    color: var(--title-color) ;

}
.titleRow {
    border-bottom: 1px solid #ddd;
    padding: 0px;
    display: flex; /* Používá flexbox */
    justify-content: space-between; /* Rozloží obsah mezi levou a pravou stranou */
    align-items: center; /* Zarovná obsah vertikálně na střed */
}

.panel-default>.panel-heading {
    color: #333;
    background-color: #f5f5f5;
    border-color: #ddd;
}
.panel-heading {
    padding: 10px 15px;
    border-bottom: 1px solid transparent;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
}
pre {
    display: block;
    padding: 9.5px;
    margin: 0 0 10px;
    font-size: 13px;
    line-height: 1.42857143;
    color: #333;
    word-break: break-all;
    word-wrap: break-word;
    background-color: #f5f5f5;
    border: 1px solid #ccc;
    /*border-radius: 4px;*/
}

.devel {
    color: #00f080;
}

.infoPanel .odd {
    background: #fafafa; 
}

.infoPanel .even {
    background: var(--background-color);
}

.columnFont75 {
    font-size: 75%;
}


/* INPUT TEXT PASSWORD */
input.pw {
    -webkit-text-security: disc;
}

/* Heatmap */
.heatmap-cell { background-color: var(--heatmap-cell-bg); border-radius: 10px; }
.heatmap-color-1 { background-color: var(--color-light-blue); border-radius: 10px;}
.heatmap-color-2 { background-color: var(--color-medium-blue); border-radius: 10px;}
.heatmap-color-3 { background-color: var(--color-darker-blue); border-radius: 10px; }
.heatmap-color-4 { background-color: var(--color-deep-blue); border-radius: 10px;}
.heatmap-color-5 { background-color: var(--color-night-blue); border-radius: 10px;}
.heatmap-today { border: 1px solid var(--color-white); /* Assuming white is still a good border color for the 'today' marker */ }
.heatmap-border { border-right: 1px solid var(--heatmap-border-color); border-left: 1px solid var(--heatmap-border-color); border-top: 1px solid var(--heatmap-border-color); border-bottom: 1px solid var(--heatmap-border-color); }
.heatmap-border-left { border-left: 1px solid var(--heatmap-border-left-color); }
.heatmap-border-top { border-top: 1px solid var(--heatmap-border-top-color); }


/* DASHBOARD */
.dashboardCardTitle {
    font-size: 1em;
    /*font-weight: lighter;*/
    text-transform: uppercase;
    color: var(--dashboardCardTitle-color);
    text-shadow: 2px 2px 4px #000;
}

.dashboardCardTitle a:hover, .dashboardCardTitle a:link, .dashboardCardTitle a:visited, .dashboardCardTitle a:active {
    background-color: transparent;
}

.dashboardText {
    font-size: 1em;
    color: var(--dashboardText-color);
}

.dashboardNum {
    font-size: 1em;
    font-family: inherit;
    /*font-weight: 500;*/
    color: var (--dashboardNum-color); //#0D6BA4;
}

.dashboardIco {
    font-size: 1em;
    color: #99bad7
}
/**/

/* CARD */
.card {
    margin-top: 5px;
    margin-bottom: 5px;
    background-color: var(--card-bgcolor);
    border: 1px solid var(--card-border-color);
}

.card-body{
    background-color: var(--background-color);
}

.card-header {
    padding: 0.5rem 1rem;
}
.card-info .card-header{
    background-color: var(--cardHeaderInfo);
}

.card-warning .card-header{
    background-color: var(--cardHeaderWarning);
}

.card-admin .card-header{
    background-color: var(--cardHeaderAdmin);
}

.card-footer {
    background-color: var(--cardFooterBackground);
}

.panel-value {
    font-size: 3em;
    color: #000;
    height: 100%;
    text-align:center;
}

.panel-element-value {
    font-size: 1.2em;
    color: var(--panelElementValuer);
    height: 100%;
    text-align:center;
}

.panel-datetime {
    font-size: 0.7em;
    color: #ccc;
    position:absolute;
    bottom:0;
    right:0;
    padding:5px;
}

/**/

/* GRAPHS */
.borderChart{
    box-shadow: 1px 1px 8px -1px rgba(0,0,0,.1);
    padding-right: 20px;
    /*border: 1px solid #eee;*/ 
    border-radius: 2px; 
    padding-left: 10px;
    padding-bottom: 10px;
    /*margin-bottom: 5px;*/
}
/**/


/* TASKS */
.task-resolved {
    color: #c6c6c6;
}
.task-low{

}
.task-medium{
    background-color: #e9f7bc;
}
.task-high{
    background-color: #f7e1bc;
}
.task-urgent{
    background-color: #f7bebc;
}
.task-milestone{
    background-color: #bcf5f7;
}
/**/

/* SCHEDULER LOGS*/
.sched-not-succes {
    color: #ff5555;
}

/* WRAPER */
#wrapper {
    overflow-x: hidden;
}

/* SIDEBAR*/
#sidebar-wrapper {
    min-height: 100vh;
    margin-left: -12rem;
    transition: margin 0.25s ease-out;
}

#sidebar-wrapper .sidebar-heading {
    padding: 0.875rem 1.25rem;
    font-size: 1.2rem;
}

#sidebar-wrapper .list-group {
    width: 12rem;
    text-align: left;
}


#sidebar-wrapper .btn {
    padding-left: 15px !important;
    border-radius: 0px !important;
}

#page-content-wrapper {
    min-width: 100vw;
}

body.sb-sidenav-toggled #wrapper #sidebar-wrapper {
    margin-left: 0;
}

@media (min-width: 768px) {
    #sidebar-wrapper {
        margin-left: 0px;
    }

    #page-content-wrapper {
        min-width: 0;
        width: 100%;
    }

    body.sb-sidenav-toggled #wrapper #sidebar-wrapper {
        margin-left: -12rem;
    }
}

.d-flex {
    display: flex !important;
}

/* search */
.search {
    /*background-color: var(--bgNavbar-bgcolor);*/
    background-color: var(#000);
}

.search input {
    border-top-right-radius: 3px !important;
    border-bottom-right-radius: 3px !important;
}


/*
        REWRITE CSS
*/

/* NAVBAR */
.dropdown-item.active, .dropdown-item:active {
    color: var(--dropdownMenuActive-color); 
    background-color: var(--dropdownMenuActive-background-color) 
}

/* BOOTSTRAP*/
a {
    color: var(--aColor);
}

/* mouse over link */
a:hover {
    color: var(--aColorHover);
}
/* Styly navigace */
.nav-item .nav-link {
    color: var(--btnNavbar-color);
    background-color: var(--btnLight-background-color);
    transition: all 0.3s ease;
    padding: 10px 15px;
}

.nav-item .nav-link:hover {
    background-color: var(--btnLight-hover-bgcolor);
    color: var(--btnLight-hover-color);
}

.nav-item .nav-link.active {
    background-color: var(--btnLightSelected-background-color);
    color: var(--btnLight-hover-color);
    /*font-weight: bold;*/
    border-left: 3px solid var(--bgNavbarBrand-color);
}

.nav-item .nav-link i {
    margin-right: 12px;
    width: 20px;
    text-align: center;
}

.dropdown-menu .dropdown-item {
    padding-left: 25px;
    color: var(--dropdownMenu-color);
    background-color: var(--dropdownMenu-bgcolor);
}

.dropdown-menu .dropdown-item:hover {
    background-color: var(--dropdownMenuActive-background-color);
    color: var(--dropdownMenuActive-color);
}

/* Mezera v menu */
.menu-spacer {
    height: 20px;
}

.menu-item {
    color: var(--bgNavbarBrand-color);
    margin-right: 10px;
}

.brand-link:hover {
    text-decoration: none;
}